name_stop_words = ['homepage', 'online', 'home', 'title',
					'welcome', 'https']

phone_regex = [r'[(-,. ]*[0-9]{2,4}[)-,. ]+[0-9]{5,7}',
				r'[+0-9]*[( -.,]+[0-9]{3}[-) .,]+[0-9]{3}[-) .,]+[0-9]{4}',
				r'[(-,. ]*[0-9]{4}[)-,. ]+[0-9]{3}[()-,. ]?[0-9]{2}[()-,. ]?[0-9]{2}',
				r'[(-,. ]*[0-9]{4}[)-,. ]+[0-9]{3}[()-,. ]?[0-9]{3}',
				r'[(-,. ]*[0-9]{2}[)-,. ]+[0-9]{4}[()-,. ]?[0-9]{4}']


email_keywords = ['help', 'faq', 'info', 'support', 'hello']

js_keywords = ['ngMeta']

categories = {'Auto Locksmith': r'((auto)|(automotive)|(automobile)|(car)).locksmith',
                'Auto Repair Services': r'((auto)|(automotive)|(automobile)|(car)).((repair)|(mechanic)|(technic))', 
                'Auto Upholstery Repair': r'((auto)|(automotive)|(automobile)|(car)).upholstery',
                'Bicycle Repair': r'((bicycle)|(bike)).((repair)|(mechanic)|(technic))', 
                'Car Wash': r'((auto)|(automotive)|(automobile)|(car)).((wash)|(detailing))', 
                'Driving School': r'driv.*((school)|(course))',
                'Hoverboard & Segway Repair': r'((hoverboard)|(segway)).((repair)|(mechanic)|(technic))', 
                'Lawn Equipment Repair': r'((lawn)|(snow)|(leaf)*|(leav)*|(grass)).((equipment)|(mower)|(blower)).((repair)|(mechanic)|(technic))?',
                'Motorcycle Repair': r'((motorcycle)|(bike)).((repair)|(mechanic)|(technic))', 
                'Towing Services': r'((car)|(truck)|(trailer)|(motorcycle)|(bike))?.((tow)|(towing)|(road assistance))(.service)?',
                'Air Conditioner Installation': r'air.condit*install*', 
                'Air Duct Cleaning': r'air.duct*clean*',
                'Bathtub Installation & Replacement': r'bath*install*', 
                'Carpenter': r'carpent*',
                'Carpet Installation': r'carpet.install*', 
                'Deck Building & Repair': r'deck.((build)*|(repair)|(service))',
                'Door Services': r'door.service*', 
                'Drain Cleaning': r'drain.clean*', 
                'Drywall Installation': r'drywall.install*', 
                'Electrician': 'electric*(service)?',
                'Exterior Door Installation': r'exterior.door.install*', 
                'Flooring Contractors': r'flooring(.service)?',
                'Furniture Assembly & Repair': r'furniture.((assembl)*|(repair))', 
                'Garage Door Installation': r'garage.door.install*',
                'Garage Door Repair': r'garage.door.((repair)|(service))', 
                'General Contractors': r'general.contract*',
                'Handyman': r'handym(a|e)n', 
                'Hardwood Flooring': r'hardwood.floor*', 
                'Heating Installation': r'heat*install*',
                'HVAC Repair': r'hvac.((repair)|(technic))', 
                'HVAC Services': r'hvac.service*', 
                'Laminate Flooring': r'laminate.floor*',
                'Painting Contractors': r'paint*contract*', 
                'Piano Tuning': r'piano.tun((er)|(ing))', 
                'Plumber': r'plumb((er)|(ing))',
                'Remodeling Services': r'remodel*service*', 
                'Spray Foam Insulation': r'((spray).)?foam.insul*',
                'Tile & Ceramic Flooring': r'tile.((ceramic).)?flooring', 
                'Tile Contractors': r'tile.contract*',
                'TV Installation': r'((tv)|(television)).install*', 
                'Vinyl & Linoleum Flooring': r'((vinyl)|(linoleum)).floor*',
                'Water Heater Installation': r'water.heater.install*', 
                'Water Heater Repair': r'water.heater.((repair)|(service)|(technic))',
                'Welding Services': 'welding-services', 
                'Window Installation': 'window-installation',
                'Window Repair': 'window-repair', 
                'Bartenders': 'bartenders',
                'Boudoir Photographers': 'boudoir-photographers',
                'Bounce House Rentals': 'bounce-houses', 
                'Catering': 'catering',
                'Commercial Photographers': 'commercial-photographers', 
                'DJ & MC': 'dj-mc',
                'Event Photographers': 'event-photographers', 
                'Event Planning': 'event-planner',
                'Face Painting': 'face-painting', 
                'Family Photographers': 'family-photographers',
                'Flower Delivery': 'flower-delivery', 
                'Limo Services': 'limo-services',
                'Party Entertainment': 'party-entertainment', 
                'Party Equipment Rental': 'party-equipment-rental',
                'Personal Chef': 'personal-chef', 
                'Photographers': 'photographers',
                'Portrait Photographers': 'portrait-photographers', 'Promotional Video Services': 'promotional-video-service',
                'Table & Chair Rentals': 'table-chair-rentals', 'Videographers': 'videographers', 'Wedding DJ': 'wedding-dj',
                'Wedding Officiants': 'wedding-officiants', 'Wedding Photography': 'wedding-photography',
                'Wedding Planner': 'wedding-planners', 'Wedding Videography': 'wedding-videography', 'Balayage': 'balayage-hair', 
                'Barbers': 'barbershop', 'Box Braids': 'box-braids', 'Crochet Braids': 'corchet-braids',
                'Eyebrow Tinting': 'eyebrow-tinting', 'Eyelash Extension': 'eyelash-extension', 'Fashion Design': 'fashion-design',
                'Hair Extensions': 'hair-extensions', 'Hair Stylist': 'hair-stylist',
                'Henna Tattoos Artist': 'henna-tattoos-artist', 'Image Consultant': 'image-consultant',
                'MakeUp Artist': 'makeup-artist', 'Nail Services': 'nail-services', 'Nutritionist': 'nutritionist',
                'Permanent MakeUp': 'permanent-makeup', 'Personal Stylist': 'personal-stylist',
                'Personal Trainers': 'personal-trainers', 'Sew in': 'sew-in', 'Skin Care': 'skin-care', 'Tailors': 'tailors',
                'Tattoo Artist': 'tattoo-artist', 'Wedding Hair & Makeup Artist': 'wedding-makeup-artist',
                'Animal Control': 'animal-control', 'Ant Control': 'ant-exterminators',
                'Appliance Repair & Installation': 'appliance-repair-installation', 'Bathroom Design': 'bathroom-designers',
                'Bed Bug Control': 'bed-bug-control', 'Cell Phone Repair': 'cell-phone-repair',
                'Closet Organization': 'closet-organizers', 'Computer Repair': 'computer-repair',
                'Computer Services': 'computer-services', 'Decorating': 'home-decorators',
                'Dry-cleaning, Laundry & Alteration': 'dry-cleaning-laundry-alteration',
                'Grocery Shopping & Delivery': 'grocery-shopping-delivery', 'Interior Designer': 'interior-designer',
                'Kitchen Design & Planning': 'kitchen-designers', 'Landscape Designers': 'landscape-designers',
                'Lighting Design Services': 'lighting-designers', 'Locksmith': 'locksmith', 'Moving': 'moving',
                'Pest Control': 'pest-control-services', 'Piano Movers': 'piano-movers',
                'Pool Table Movers': 'pool-table-movers', 'Rat Control': 'rat-control',
                'Security Installation': 'security-installation', 'Self Storage': 'self-storage',
                'Termite Control': 'termite-control', 'Virus Removal': 'virus-removal',
                'Wasp & Bee Removal': 'wasp-bee-removal', 'Apartment Cleaning': 'apartment-cleaning',
                'Appliance Cleaning': 'appliance-cleaning', 'Carpet Cleaning': 'carpet-cleaning',
                'Commercial Cleaning': 'commercial-cleaning', 'House Cleaning': 'house-cleaning',
                'Housekeeping': 'housekeeping', 'Janitorial Services': 'janitorial-services', 'Maids': 'maids',
                'Mattress Cleaning': 'mattress-cleaning', 'Move Out Cleaning': 'move-out-cleaning',
                'Office Cleaning': 'office-cleaning', 'Upholstery Cleaning': 'upholstery-cleaning',
                'Window Cleaning': 'window-cleaning', 'Chimney Services': 'chimney-services',
                'Concrete Contractors': 'concrete-contractors', 'Demolition Services': 'demolition-services',
                'Fence Contractors': 'fence-contractors', 'Fence Repair': 'fence-repair', 'Firewood': 'firewood',
                'Garbage Removal': 'garbage-removal', 'Gardening': 'gardening', 'Gutter Cleaning': 'gutter-cleaning',
                'Gutter Installation & Repair': 'gutter-installation-and-repair', 'Hardscape Contractors': 'hardscapers',
                'Landscaping': 'landscaping', 'Lawn Care': 'lawn-care', 'Masonry Contractors': 'masonry-contractors',
                'Pool Buildings': 'pool-buildings', 'Pool Cleaners': 'pool-cleaners', 'Pool Maintenance': 'pool-maintenance',
                'Pressure Washing': 'pressure-washing', 'Roof Cleaning': 'roof-cleaning', 'Roofing Contractors': 'roofing',
                'Roofing Installation & Repair': 'roofing-installation-and-repair', 'Snow & Ice Removal': 'snow-ice-removal',
                'Sprinkler Repairs': 'sprinkler-repairs', 'Tree Services': 'tree-services', 'Yard Clean-Up': 'yard-clean-up',
                'Aquarium Services': 'aquarium-services', 'Dog Training': 'dog-training', 'Horse Boarding': 'horse-boarding',
                'Horse Training': 'horse-training', 'Pet Daycare & Boarding': 'pet-daycare-boarding',
                'Pet Groomers': 'pet-groomer', 'Pet Sitters & Walkers': 'pet-sitting-and-walking',
                'Veterinary Services': 'veterinary', 'Academic Writing': 'academic-writing',
                'Bankruptcy Lawyers': 'bankruptcy-lawyers', 'Business Lawyers': 'business-lawyers',
                'Civil Rights Lawyers': 'civil-rights-lawyers', 'Copywriting': 'copywriting',
                'Criminal Defense Attorneys': 'criminal-defense-attorneys', 'Divorce Lawyers': 'divorce-lawyers',
                'Essays Writing & Editing': 'essays-writing-and-editing', 'Family Lawyers': 'family-lawyers',
                'Immigration Lawyers': 'immigration-lawyers', 'Lawyers': 'lawyer', 'Notary Services': 'notary-services',
                'Personal Driver': 'personal-driver', 'Personal Injury Lawyers': 'personal-injury-lawyers',
                'Private Detective': 'private-detective', 'Resume Writing': 'resume-writing',
                'Tax Preparation': 'tax-preparation', 'Translation Services': 'translator',
                'Writing & Editing': 'writing-editing-services', 'Babysitting': 'babysitters',
                'Beauty Schools': 'beauty-schools', 'Caregiver': 'caregiver', 'Chinese Lessons': 'chinese-lessons',
                'Cooking Lessons': 'cooking-lessons', 'Dancing Lessons': 'dancing-lessons', 'Daycare': 'daycare',
                'Drawing Classes': 'drawing-lessons', 'English Lessons': 'english-lessons', 
                'French Lessons': 'french-lessons', 'Horseback Riding': 'horseback-riding',
                'Italian Lessons': 'italian-lessons', 'Japanese Lessons': 'japanese-lessons', 'Language Classes': 'classes',
                'MakeUp Lessons': 'makeup-lessons', 'Martial Arts': 'martial-arts', 'Music Lessons': 'music-lessons',
                'Other Classes': 'other-classes', 'Photography Classes': 'photography-classes',
                'Piano Lessons': 'piano-lessons', 'Portuguese Lessons': 'portuguese-lessons',
                'Private Tutoring': 'private-tutor', 'Russian Lessons': 'russian-lessons',
                'Singing Lessons': 'singing-lessons', 'Spanish Lessons': 'spanish-lessons',
                'Sport Lessons': 'sport-lessons', 'Surfing lessons': 'surfing-lessons',
                'Swim lessons': 'swim-lessons', 'Tennis lessons': 'tenis-lessons'}